curl --request POST \
--url https://api.tagada.io/api/public/v1/checkout/pay-v2 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"checkoutSessionId": "ch_1234567890",
"paymentInstrumentId": "pi_1234567890"
}
'{
"order": {
"id": "ord_1234567890",
"status": "paid",
"totalAmount": 2999,
"currency": "USD"
},
"payment": {
"id": "pay_1234567890",
"status": "succeeded",
"amount": 2999,
"currency": "USD"
},
"redirectUrl": "https://mystore.com/thankyou/ord_1234567890"
}{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}checkout
Pay checkout session V2
Pay for a checkout session with enhanced control over payment initiation.
This V2 endpoint provides additional parameters:
- initiatedBy: Specify whether payment was initiated by ‘customer’ (default) or ‘merchant’
- source: Specify the payment source, defaults to ‘checkout’
- paymentFlowId: Override the store’s default payment flow (uses a specific routing strategy, processors, etc.)
These parameters are used for tracking and payment routing.
POST
/
api
/
public
/
v1
/
checkout
/
pay-v2
curl --request POST \
--url https://api.tagada.io/api/public/v1/checkout/pay-v2 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"checkoutSessionId": "ch_1234567890",
"paymentInstrumentId": "pi_1234567890"
}
'{
"order": {
"id": "ord_1234567890",
"status": "paid",
"totalAmount": 2999,
"currency": "USD"
},
"payment": {
"id": "pay_1234567890",
"status": "succeeded",
"amount": 2999,
"currency": "USD"
},
"redirectUrl": "https://mystore.com/thankyou/ord_1234567890"
}{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}Authorizations
Enter your API key as: Bearer your-api-key
Body
application/json
Show child attributes
Show child attributes
Available options:
customer, merchant Available options:
upsell, checkout, offer, missing_club, forced Required string length:
6Response
Successful response
